package cc.fascinated.bat.command;

import lombok.Getter;
import lombok.NonNull;
import net.dv8tion.jda.api.entities.emoji.Emoji;

/**
 * The categories of {@link BatCommand}'s.
 *
 * @author Braydon
 */
@Getter
public enum CommandCategory {
    GENERAL("⚙️"),
    GUILD("🏠");

    /**
     * The emoji for this category.
     */
    @NonNull private final Emoji emoji;

    CommandCategory(@NonNull String unicode) {
        emoji = Emoji.fromUnicode(unicode);
    }
}